# Record Class StAuditEvent

java.lang.Object
java.lang.Record
com.io7m.stonesignal.server.audit.StAuditEvent

Record Components:
  `id` - The audit event ID
  `type` - The audit event type
  `time` - The audit event time
  `data` - The audit event data

public record StAuditEvent(long id, String type, OffsetDateTime time, Map<String,String> data) extends Record
An audit event.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StAuditEvent(long id, String type, OffsetDateTime time, Map<String,String> data)`
  An audit event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `data()`
  Returns the value of the `data` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `id()`
  Returns the value of the `id` record component.
  `OffsetDateTime`
  `time()`
  Returns the value of the `time` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StAuditEvent

    public StAuditEvent(long id, String type, OffsetDateTime time, Map<String,String> data)
    An audit event.
    Parameters:
      `id` - The audit event ID
      `type` - The audit event type
      `time` - The audit event time
      `data` - The audit event data

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public long id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### type

    public String type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### time

    public OffsetDateTime time()
    Returns the value of the `time` record component.
    Returns:
      the value of the `time` record component

  - ### data

    public Map<String,String> data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component